﻿using System;
using System.Collections.Generic;
using System.Linq;
using Verse;
using RimWorld;
using HarmonyLib;
using RimWorld.Planet;

namespace YayoPollution
{
    public class worldData : IExposable
    {
        private World w;

        public int pollutionGenCount;
        public List<int> cleanupTiles = new List<int>();



        // Data
        public void ExposeData()
        {
            // 세이브, 로드
            Scribe_Values.Look<int>(ref pollutionGenCount, "pollutionGenCount", 0);
            Scribe_Collections.Look(ref cleanupTiles, "cleanupTiles", LookMode.Value);

            if (core.val_useLog) Log.Message("--------------------------");
            foreach (int tile in cleanupTiles)
            {
                if (core.val_useLog) Log.Message("worldData ExposeData tile : " + tile);
                dataUtility.GetCleanupData(tile).ExposeData();
                break;
            }
        }

        public void setParent(World _w)
        {
            w = _w;
        }





    }
}
